LibreOffice LibreOffice 5.3 SDK API Reference

Public Member Functions | List of all members
XLogFormatter Interface Reference

specifies the interface to be used for formatting log records More...

`import"XLogFormatter.idl";`

Inheritance diagram for XLogFormatter:

## Public Member Functions
string | getHead ()
| returns the header string for the log More...
string | format ([in] LogRecord Record)
| formats the given log record for output More...
string | getTail ()
| returns the footer string for the log More...

## Detailed Description

specifies the interface to be used for formatting log records

See also
  XLogHandler

Since
  OOo 2.3

## Member Function Documentation

## ◆ format()

string format | ( | [in] LogRecord | Record | ) |

formats the given log record for output

A XLogHandler will call this method to format a given log record. The resulting string will be emitted to the handler's output channel, without processing it any further (except possibly encoding it with the handler's `Encoding`).

## ◆ getHead()

string getHead | ( |  | ) |

returns the header string for the log

This can be used to generate a header string, which by the XLogHandler is emitted to its output channel before actually logging any concrete LogRecord.

For instance, a formatter might produce table-like plain text output, and could return a table-head string (potentially including line breaks) here.

## ◆ getTail()

string getTail | ( |  | ) |

returns the footer string for the log

This can be used to generate a footer string, which by the XLogHandler is emitted to its output channel before it is finally being closed.

The documentation for this interface was generated from the following file:

- com/sun/star/logging/XLogFormatter.idl